package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author zhuxiaofeng
 * @Description
 * @Date 2021/8/12 8:47
 */
public class BusinessOrderUpdatePayDetailsRequest implements Serializable {

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "订单支付明细表id", example = "50", required = true)
    private Long payDetailsId;

    @ApiModelProperty(value = "用户id", example = "50")
    private Long userId;
    
    @ApiModelProperty(value = "支付单号", example = "50")
    private String payNo;

    @ApiModelProperty(value = "三方支付单号", example = "50")
    private String thirdPayNo;

    @ApiModelProperty(value = "删除状态", example = "50")
    private Integer isDeleted;

    @ApiModelProperty(value = "支付方式", example = "50")
    private Integer payType;

    @ApiModelProperty(value = "支付金额", example = "50")
    private Integer amount;

    @ApiModelProperty(value = "扩展信息")
    private String extraMap;

    public String getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(String extraMap) {
        this.extraMap = extraMap;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getPayDetailsId() {
        return payDetailsId;
    }

    public void setPayDetailsId(Long payDetailsId) {
        this.payDetailsId = payDetailsId;
    }

    public String getPayNo() {
        return payNo;
    }

    public void setPayNo(String payNo) {
        this.payNo = payNo;
    }

    public String getThirdPayNo() {
        return thirdPayNo;
    }

    public void setThirdPayNo(String thirdPayNo) {
        this.thirdPayNo = thirdPayNo;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
